%{?nodejs_find_provides_and_requires}

%global packagename pako
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 1.0.3
Release: 1%{?dist}.3
Summary: zlib port to javascript - fast, modularized, with browser support
License: MIT
URL: https://github.com/nodeca/pako
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(ansi)
BuildRequires: npm(async)
BuildRequires: npm(benchmark)
BuildRequires: npm(browserify)
BuildRequires: npm(eslint) >= 2.1.0
BuildRequires: npm(eslint) < 3.0.0
BuildRequires: npm(eslint-plugin-nodeca) >= 1.0.3
BuildRequires: npm(eslint-plugin-nodeca) < 1.1.0
BuildRequires: npm(grunt) >= 0.4.4
BuildRequires: npm(grunt) < 0.5.0
BuildRequires: npm(grunt-cli) >= 0.1.13
BuildRequires: npm(grunt-cli) < 0.2.0
BuildRequires: npm(grunt-contrib-connect) >= 0.9.0
BuildRequires: npm(grunt-saucelabs) >= 8.6.0
BuildRequires: npm(grunt-saucelabs) < 8.7.0
BuildRequires: npm(istanbul)
BuildRequires: npm(lodash)
BuildRequires: npm(mocha) >= 1.21.5
BuildRequires: npm(ndoc)
BuildRequires: npm(uglify-js)
%endif

%description
pako - zlib port to javascript, very fast!

Why pako is cool:

- Almost as fast in modern JS engines as C implementation (see benchmarks).
- Works in browsers, you can browserify any separate component.
- Chunking support for big blobs.
- Results are binary equal to well known [zlib](http://www.zlib.net/) (now v1.2.8 ported).

This project was done to understand how fast JS can be and is it necessary to
develop native C modules for CPU-intensive tasks. Enjoy the result!



%prep
%setup -q -n package
%nodejs_fixdep --dev grunt-contrib-connect '>=0.9.0'
%nodejs_fixdep --dev mocha '>=1.21.5'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js dist/ lib/ \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.0.3-1
- Initial package.
